package com.inca.npbusi.credit_qry;

import com.inca.np.communicate.ClientRequest;
import com.inca.np.communicate.ServerResponse;
import com.inca.np.communicate.StringCommand;
import com.inca.np.gui.control.CDefaultProgress;
import com.inca.np.gui.control.CFrame;
import com.inca.np.util.SendHelper;
import com.inca.npx.ste.Apinfo;
import com.inca.pubsrv.entryChoose.CSteModelAp_EntryChoose;
import java.util.Vector;
import javax.swing.JOptionPane;

public class CreditQuery_ste extends CSteModelAp_EntryChoose {
   public CreditQuery_ste(CFrame var1) {
      super(var1, "当前信誉额度");
   }

   public String getTablename() {
      return "bms_credit_union_qry_v";
   }

   public String getSaveCommandString() {
      return "";
   }

   public Vector<Apinfo> getParamapinfos() {
      Vector var1;
      (var1 = new Vector()).add(new Apinfo("只查询本独立单元", ""));
      var1.add(new Apinfo("只查询指定独立单元", ""));
      var1.add(new Apinfo("允许进行欠款重算", ""));
      return var1;
   }

   protected String getOtherWheres() {
      String var1 = this.getApvalue("只查询指定独立单元");
      String var2 = "";
      if (var1.length() > 0) {
         var2 = "(entryid in(" + var1 + ") or get_entryid_by_deptid(salerdeptid) in(" + var1 + ") or exists (select 1 from pub_custom_to_saler a,pub_employee b where a.salerid=b.employeeid and a.customid=bms_credit_union_qry_v.customid " + "and a.entryid in(" + var1 + ")))";
      } else if (this.getApvalue("只查询本独立单元").equals("1")) {
         var1 = this.getEntry().getEntryid();
         var2 = "(entryid =" + var1 + " or get_entryid_by_deptid(salerdeptid) =" + var1 + " or exists (select 1 from pub_custom_to_saler a,pub_employee b where a.salerid=b.employeeid and a.customid=bms_credit_union_qry_v.customid " + "and a.entryid =" + var1 + "))";
      }

      return var2;
   }

   public String getHovOtherWheres(int var1, String var2) {
      String var3 = "";
      if (var2.equals("salerid")) {
         if ((var2 = this.getApvalue("只查询指定独立单元")).length() > 0) {
            var3 = "entryid in(" + var2 + ")";
         } else if (this.getApvalue("只查询本独立单元").equals("1")) {
            var3 = this.getEntry().getEntryid();
            var3 = "entryid =" + var3;
         }
      }

      return var3;
   }

   protected int on_actionPerformed(String var1) {
      if (var1.equals("重算欠款")) {
         String var3 = this.getApvalue("允许进行欠款重算");
         if (!"1".equals(var3)) {
            this.infoMessage("提示", "您没有执行此操作的权限！");
         } else if (JOptionPane.showConfirmDialog(this.frame, "确定要欠款重算？") == 0 && JOptionPane.showConfirmDialog(this.frame, "欠款重算需要消耗较多资源，需在合理的时间段执行\n确定进行？") == 0) {
            ClientRequest var5 = new ClientRequest("creditQuery.欠款重算");
            CDefaultProgress var4 = new CDefaultProgress(this.getParentFrame());
            (new a(var4, var5)).start();
            var4.show();
         }
      }

      return super.on_actionPerformed(var1);
   }

   class a extends Thread {
      private CDefaultProgress a = null;
      private ClientRequest b = null;

      public a(CDefaultProgress var2, ClientRequest var3) {
         this.a = var2;
         this.b = var3;
      }

      public final void run() {
         ServerResponse var1 = null;

         try {
            this.a.appendMessage("向服务器发送请求，请稍候...");
            var1 = SendHelper.sendRequest(this.b);
            this.a.appendMessage("收到服务器相应，正在解析...");
            StringCommand var3;
            if ((var3 = (StringCommand)var1.commandAt(0)).getString().startsWith("+OK")) {
               this.a.messageBox(CreditQuery_ste.this.title, "重算成功!");
               CreditQuery_ste.this.doRequery();
            } else {
               throw new Exception(var3.getString());
            }
         } catch (Exception var2) {
            this.a.messageBox(CreditQuery_ste.this.title, var2.getMessage());
         }
      }
   }
}
